# $Revision: 1.47 $, $Date: 2011/03/01 06:28:38 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	Parser
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - XML parsing class based on PHP's bundled expat
Summary(pl.UTF-8):	%{_pearname} - klasa analizującą XML przy użyciu expat
Name:		php-pear-%{_pearname}
Version:	1.3.4
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	ee6add40489eb7df6670e18c26457cf9
URL:		http://pear.php.net/package/XML_Parser/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-XML_Parser-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an XML parser based on PHP's built-in xml extension. It
supports two basic modes of operation: "func" and "event". In "func"
mode, it will look for a function named after each element
(xmltag_ELEMENT for start tags and xmltag_ELEMENT_ for end tags), and
in "event" mode it uses a set of generic callbacks.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet zawiera klasę analizującą XML opartą na wbudowanym w PHP
rozszerzeniu xml. Klasa ta obsługuje dwa podstawowe tryby pracy:
"func" oraz "event". W trybie "func" szuka funkcji o nazwach
odpowiadających każdemu elementowi (xmltag_ELEMENT dla znaczników
początkowych i xmltag_ELEMENT_ dla znaczników końcowych), natomiast w
trybie "event" używa zestawu ogólnych callbacków.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_Parser.spec,v $
Revision 1.47  2011/03/01 06:28:38  glen
- release 2

Revision 1.46  2011/01/23 01:03:32  sparky
- dropped -tests subpackage

Revision 1.45  2010/11/16 08:28:25  glen
- updated to: 1.3.4

Revision 1.44  2009/01/23 18:14:40  adamg
- updated to 1.3.2

Revision 1.43  2008/09/16 20:33:01  adamg
- updated to 1.3.1

Revision 1.42  2008/08/30 21:09:45  adamg
- updated to 1.3.0

Revision 1.41  2008-01-31 12:16:50  glen
- rel 3

Revision 1.40  2007-09-13 11:21:38  baggins
- rel 2

Revision 1.39  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.37  2006/12/30 10:31:57  adamg
- updated to 1.2.8

Revision 1.36  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.35  2006/04/02 13:48:07  glen
- AutoProv: no for -tests

Revision 1.34  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.33  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.32  2006/01/08 18:04:09  glen
- AutoReq: no for -tests

Revision 1.31  2005/11/20 16:26:25  glen
- rel 3

Revision 1.30  2005/10/05 20:59:19  glen
- rel 2

Revision 1.29  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.28  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.27  2005/09/26 21:03:38  glen
- 1.2.7

Revision 1.26  2005/09/19 23:34:22  glen
- 1.2.6

Revision 1.25  2005/09/19 21:43:40  glen
- integer BR

Revision 1.24  2005/09/19 18:43:56  glen
- merged from DEVEL: use new pear packaging system

Revision 1.23.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.23.2.1  2005/09/18 18:55:51  glen
- use php-pear-build

Revision 1.23  2005/03/04 11:55:40  zboczuch
- update to 1.2.5

Revision 1.22  2005/02/05 20:17:20  adamg
- updated to 1.2.4

Revision 1.21  2004/12/23 15:14:36  adamg
- updated to 1.2.2

Revision 1.20  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.19  2004/10/05 14:28:11  adamg
- updated to 1.2.1

Revision 1.18  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.17  2004/05/28 20:12:11  adamg
- updated to 1.2.0

Revision 1.16  2004/04/25 17:36:40  adamg
- updated to 1.1.0

Revision 1.15  2004/04/18 20:49:59  adamg
- updated to 1.1.0beta2

Revision 1.14  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.13  2003/10/07 20:56:49  adamg
- do not use macros in URL

Revision 1.12  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.11  2003/05/28 08:58:49  adamg
- massive attack: added source0-md5

Revision 1.10  2003/05/25 06:25:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/24 15:36:40  blues
- 1.0.1 - small bugfix release - STBR to Ra updates general

Revision 1.8  2002/10/14 23:52:58  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.7  2002/09/04 12:40:45  blues
- small fix in macros

Revision 1.6  2002/07/13 00:04:34  blues
- release 2 (rebuild with new rpm)

Revision 1.5  2002/07/12 12:09:22  blues
- Requires php-pear

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.2  2002/06/29 14:54:49  blues
- dir removed

Revision 1.1  2002/06/25 13:43:17  blues
- initial
